com.unitech.stuhfl

## Class STUHFL_T_Gb29768_Lock

- java.lang.Object
- - com.unitech.stuhflBridge.BR_Gb29768_Lock
  - - com.unitech.stuhfl.STUHFL_T_Gb29768_Lock

-     public class STUHFL_T_Gb29768_Lock
      extends BR_Gb29768_Lock

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.unitech.stuhflBridge.BR_Gb29768_Lock

      `BR_Gb29768_Lock.Fields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `STUHFL_E.GB29768_ACTION_ATTRIBUTE` | `action` < I Param: Configure attribute and security mode of storage area.
    `STUHFL_E.GB29768_CONFIGURATION` | `configuration` < I Param: Bank (TagInfo, Coding, Security, User) on which apply the lock.
    `STUHFL_E.GB29768_AREA` | `memoryBank`
    `byte[]` | `pwd` < I Param: Define how the lock operation is performed.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `STUHFL_T_Gb29768_Lock()`
    `STUHFL_T_Gb29768_Lock(STUHFL_E.GB29768_AREA memoryBank, STUHFL_E.GB29768_CONFIGURATION configuration, STUHFL_E.GB29768_ACTION_ATTRIBUTE action, byte[] pwd)`
    `STUHFL_T_Gb29768_Lock(STUHFL_T_Gb29768_Lock other)` < I Param: Password.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `STUHFL_E.RET_CODE` | `execute()` Perform Gb29768 Lock command to lock transponders
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.unitech.stuhflBridge.BR_Gb29768_Lock

      `_Exec`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### memoryBank

          public STUHFL_E.GB29768_AREA memoryBank

    - #### configuration

          public STUHFL_E.GB29768_CONFIGURATION configuration

      < I Param: Bank (TagInfo, Coding, Security, User) on which apply the lock.

    - #### action

          public STUHFL_E.GB29768_ACTION_ATTRIBUTE action

      < I Param: Configure attribute and security mode of storage area.

    - #### pwd

          public byte[] pwd

      < I Param: Define how the lock operation is performed.

  - ### Constructor Detail

    - #### STUHFL_T_Gb29768_Lock

          public STUHFL_T_Gb29768_Lock(STUHFL_T_Gb29768_Lock other)

      < I Param: Password.

    - #### STUHFL_T_Gb29768_Lock

          public STUHFL_T_Gb29768_Lock(STUHFL_E.GB29768_AREA memoryBank,
                                       STUHFL_E.GB29768_CONFIGURATION configuration,
                                       STUHFL_E.GB29768_ACTION_ATTRIBUTE action,
                                       byte[] pwd)

    - #### STUHFL_T_Gb29768_Lock

          public STUHFL_T_Gb29768_Lock()

  - ### Method Detail

    - #### execute

          public STUHFL_E.RET_CODE execute()

      Perform Gb29768 Lock command to lock transponders
      Returns:
        error code

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`